<?php

namespace Drupal\licenses_vocabulary;

/**
 * Interface LicensesManagerInterface.
 */
interface LicensesManagerInterface {

  /**
   * Read the list of pre-defined licenses and create each taxonomy terms.
   *
   * @return array
   *   Array with the multiple Drupal\taxonomy\TermInterface it can create.
   */
  public function loadDefaultLicenses();

  /**
   * Parse text to import licenses from it.
   *
   * @param string $text
   *   The text in YML to import.
   *
   * @return array
   *   Array with the multiple Drupal\taxonomy\TermInterface it can create.
   */
  public function loadFromText($text);

}
